Subject: Re: Intel sound proke in today;s next

From: Takashi Iwai <[email-masked]>
Date: Mon, 26 Jul 2010 22:17:19 +0200

At Mon, 26 Jul 2010 21:03:32 +0200,
Piotr Hosowicz wrote:
> 
> On 26.07.2010 20:30, Piotr Hosowicz wrote:
> > On 26.07.2010 20:00, Takashi Iwai wrote:
> >> At Mon, 26 Jul 2010 19:33:37 +0200,
> >> Piotr Hosowicz wrote:
> >>>
> >>> On 26.07.2010 19:24, Takashi Iwai wrote:
> >>>> At Mon, 26 Jul 2010 18:57:22 +0200,
> >>>> Piotr Hosowicz wrote:
> >>>>>
> >>>>> On 26.07.2010 09:29, Takashi Iwai wrote:
> >>>>>> At Sun, 25 Jul 2010 17:56:50 +0200,
> >>>>>> Piotr Hosowicz wrote:
> >>>>>>>
> >>>>>>> On 25.07.2010 17:27, Takashi Iwai wrote:
> >>>>>>>> At Sat, 24 Jul 2010 11:59:00 +1000,
> >>>>>>>> Stephen Rothwell wrote:
> >>>>>>>>>
> >>>>>>>>> [Just cc'ing the sound tree contact]
> >>>>>>>>>
> >>>>>>>>> On Fri, 23 Jul 2010 20:24:36 +0200 Piotr
> >>>>>>>>> Hosowicz<[email-masked]> wrote:
> >>>>>>>>>>
> >>>>>>>>>> Hello,
> >>>>>>>>>>
> >>>>>>>>>> I just downloaded today's next and built it, then booted.
> >>>>>>>>>> Sound is not
> >>>>>>>>>> working, my card is:
> >>>>>>>>>>
> >>>>>>>>>> 00:1b.0 Audio device: Intel Corporation 82801JI (ICH10 Family)
> >>>>>>>>>> HD Audio
> >>>>>>>>>> Controller
> >>>>>>>>>>
> >>>>>>>>>> I am now booted with latest git kernel and cannot provide more
> >>>>>>>>>> info
> >>>>>>>>>> here, I rebooted with that kernel because I am going to sleep
> >>>>>>>>>> and I like
> >>>>>>>>>> to listen to music by night. If more details is necessary I
> >>>>>>>>>> could boot
> >>>>>>>>>> that next tommorow, but tell me what you need.
> >>>>>>>>
> >>>>>>>> Make sure that your mixer setup is correct with a new kernel.
> >>>>>>>> Usually alsactl restores the right mixer values, though.
> >>>>>>>>
> >>>>>>>> At best, run alsa-info.sh (with --no-upload option) on both
> >>>>>>>> kernels to
> >>>>>>>> compare. Also you can try to pull only sound git tree instead of
> >>>>>>>> linux-kernel to identify whether it's a problem in the sound
> >>>>>>>> tree or
> >>>>>>>> somewhere else. Anyway, see
> >>>>>>>> Documentation/sound/alsa/HD-Audio.txt for
> >>>>>>>> some details.
> >>>>>>>
> >>>>>>> I do not see such script, alsa-info.sh.
> >>>>>>
> >>>>>> The location of the script is found in the document mentioned above.
> >>>>>>
> >>>>>>> I dont know how to pull only the
> >>>>>>> sound tree.
> >>>>>>
> >>>>>> The sound git tree URL is found in the document mentioned above.
> >>>>>> Just do git-pull onto your cloned Linus tree.
> >>>>>
> >>>>> I don't knmow how to pull _onto_ existing files. git says that it
> >>>>> is not
> >>>>> a repo and refuses to download files, I thought that first I have to
> >>>>> make git clone, but I was happy that it's not like that.
> >>>>
> >>>> First clone, then pull onto it,
> >>>>
> >>>> % git clone
> >>>> git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6.git
> >>>> % cd linux-2.6
> >>>> % git pull
> >>>> git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound-2.6.git
> >>>
> >>> This is what I tried but the second git invocation failed saying that
> >>> thre is no repo info in that directory.
> >>
> >> You need to pass the branch. In this case, pass for-next
> >
> > I passed topic/hda and rebuilt the kernel and now everything is working.
> 
> I have just git pulled for-next and saw many files downloaded so I 
> wonder how synced with topic/hda it's working.

It contains other two branches, topic/misc and topic/asoc.
(Also sometimes missing fix/asoc and fix/misc merges).

topic/asoc branch is specific to ASoC, so very likely irrelevant.
If any, some changes in the sound core code in topic/misc might
influence in your case...

Takashi